
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone1, locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    java.util.TimeZone timeZone2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), (-1), timeZone2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    int i0 = org.apache.commons.lang3.time.FastDateFormat.LONG;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    int i0 = org.apache.commons.lang3.time.FastDateFormat.MEDIUM;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100, timeZone1, locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = fastDateFormat0.format(calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    int i0 = org.apache.commons.lang3.time.FastDateFormat.SHORT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Date date1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = fastDateFormat0.format(date1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    int i0 = org.apache.commons.lang3.time.FastDatePrinter.FULL;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 10, timeZone2, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    int i0 = org.apache.commons.lang3.time.FastDatePrinter.MEDIUM;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.Calendar calendar4 = null;
    java.lang.StringBuffer stringBuffer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = fastDateFormat3.format(calendar4, stringBuffer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date5 = fastDateFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = fastDateFormat0.format((java.lang.Object)(short)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone1, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = fastDateFormat1.parseObject("hi!");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    java.util.TimeZone timeZone2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, (-1), timeZone2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    int i0 = org.apache.commons.lang3.time.FastDatePrinter.LONG;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = fastDateFormat1.parse("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = fastDateFormat0.format(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj5 = fastDateFormat3.parseObject("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat1.parseObject("hi!", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = fastDateFormat1.format((java.lang.Object)'4');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]", timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.lang.StringBuffer stringBuffer6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer7 = fastDateFormat3.format(1L, stringBuffer6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, 10, timeZone6, locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj6 = fastDateFormat3.parseObject("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 3, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    int i0 = org.apache.commons.lang3.time.FastDateFormat.FULL;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(10, timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    java.util.Date date5 = null;
    java.lang.StringBuffer stringBuffer6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer7 = fastDateFormat3.format(date5, stringBuffer6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    java.util.Calendar calendar5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat0.format(calendar5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 0, locale4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.Object obj2 = fastDateFormat0.clone();
    java.util.Calendar calendar3 = null;
    java.lang.StringBuffer stringBuffer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = fastDateFormat0.format(calendar3, stringBuffer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj2);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    int i0 = org.apache.commons.lang3.time.FastDatePrinter.SHORT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat0.parse("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator6 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)"FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date5 = fastDateFormat2.parse("31/12/69 16:00", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.util.Date date6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat3.format(date6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone3, locale5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("hi!", timeZone3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 0, timeZone6, locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.Object obj4 = fastDateFormat0.clone();
    java.util.Date date5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat0.format(date5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = fastDateFormat1.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance((-1), locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance((-1), timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator7 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    java.util.Locale locale1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale1);
    java.util.Calendar calendar3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = fastDateFormat2.format(calendar3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale7);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator9 = fastDateFormat3.formatToCharacterIterator((java.lang.Object)"31/12/69 16:00");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat3.parse("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.Object obj4 = fastDateFormat0.clone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    java.lang.String str9 = fastDateFormat8.toString();
    java.util.TimeZone timeZone10 = fastDateFormat8.getTimeZone();
    java.lang.StringBuffer stringBuffer11 = null;
    java.text.FieldPosition fieldPosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = fastDateFormat0.format((java.lang.Object)timeZone10, stringBuffer11, fieldPosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str9.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat1.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance("hi!", timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator7 = fastDateFormat3.formatToCharacterIterator((java.lang.Object)"16:00:00 PST");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone2, locale4);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2);
    int i8 = fastDateFormat7.getMaxLengthEstimate();
    java.lang.StringBuffer stringBuffer9 = null;
    java.text.FieldPosition fieldPosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer11 = fastDateFormat5.format((java.lang.Object)i8, stringBuffer9, fieldPosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 8);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.util.Date date2 = null;
    java.lang.StringBuffer stringBuffer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fastDateFormat0.format(date2, stringBuffer3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", timeZone5, locale8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    java.lang.Object obj7 = fastDateFormat5.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator8 = fastDateFormat3.formatToCharacterIterator(obj7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone8, locale14);
    java.util.Locale locale17 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(8, 2, timeZone8, locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    java.util.Locale locale1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date4 = fastDateFormat2.parse("HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str5 = fastDateFormat2.format(1L);
    java.util.Locale locale6 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 100, locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 16:00"+ "'", str5.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.getPattern();
    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator7 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "dd/MM/yy HH:mm"+ "'", str2.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 14, timeZone4, locale10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.util.Calendar calendar4 = null;
    java.lang.StringBuffer stringBuffer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = fastDateFormat3.format(calendar4, stringBuffer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100, locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale14);
    java.util.TimeZone timeZone19 = null;
    java.util.Locale locale20 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone19, locale20);
    java.util.TimeZone timeZone22 = fastDateFormat21.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale26);
    java.lang.String str28 = fastDateFormat27.toString();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone22, locale29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, timeZone7, locale29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str28.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(10, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str5 = fastDateFormat2.format(1L);
    java.util.Locale locale6 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, (-1), locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 16:00"+ "'", str5.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance((-1), timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator5 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)(short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj7 = fastDateFormat3.parseObject("31/12/69 16:00", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.util.Date date6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat0.format(date6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    int i3 = fastDateFormat0.getMaxLengthEstimate();
    java.util.Date date4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = fastDateFormat0.format(date4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 14);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    boolean b13 = fastDateFormat8.equals((java.lang.Object)locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone6, locale12);
    boolean b16 = fastDateFormat14.equals((java.lang.Object)100.0d);
    java.util.Date date17 = null;
    java.lang.StringBuffer stringBuffer18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer19 = fastDateFormat14.format(date17, stringBuffer18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, timeZone7, locale18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    boolean b7 = fastDateFormat0.equals((java.lang.Object)"");
    java.util.Calendar calendar8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fastDateFormat0.format(calendar8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 10, timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(100, (-1), timeZone7, locale10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = fastDateFormat3.parse("16:00:00 PST", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    int i8 = fastDateFormat3.getMaxLengthEstimate();
    java.lang.Object obj9 = fastDateFormat3.clone();
    java.util.Calendar calendar10 = null;
    java.lang.StringBuffer stringBuffer11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer12 = fastDateFormat3.format(calendar10, stringBuffer11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = fastDateFormat0.parse("HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone2, locale4);
    java.util.Date date6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = fastDateFormat5.format(date6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    boolean b11 = fastDateFormat6.equals((java.lang.Object)locale10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss,en_GB,America/Los_Angeles]", timeZone5, locale10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(12, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.lang.String str5 = fastDateFormat3.toString();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj8 = fastDateFormat3.parseObject("16:00", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(8, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.lang.StringBuffer stringBuffer5 = null;
    java.text.FieldPosition fieldPosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer7 = fastDateFormat0.format((java.lang.Object)(short)1, stringBuffer5, fieldPosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    java.util.Locale locale11 = fastDateFormat9.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 10, timeZone7, locale11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, (-1), timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.getPattern();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat0.parseObject("HH:mm:ss z");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "dd/MM/yy HH:mm"+ "'", str2.equals("dd/MM/yy HH:mm"));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    boolean b13 = fastDateFormat8.equals((java.lang.Object)locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone6, locale12);
    boolean b16 = fastDateFormat14.equals((java.lang.Object)100.0d);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    java.util.Locale locale21 = fastDateFormat17.getLocale();
    java.lang.StringBuffer stringBuffer22 = null;
    java.text.FieldPosition fieldPosition23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer24 = fastDateFormat14.format((java.lang.Object)fastDateFormat17, stringBuffer22, fieldPosition23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    boolean b6 = fastDateFormat3.equals((java.lang.Object)fastDateFormat5);
    java.util.Calendar calendar7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = fastDateFormat3.format(calendar7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.lang.String str6 = fastDateFormat0.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = fastDateFormat0.format((java.lang.Object)false);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(12, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100, timeZone1, locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    java.util.TimeZone timeZone9 = null;
    java.util.Locale locale10 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone9, locale10);
    java.util.TimeZone timeZone12 = fastDateFormat11.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    boolean b19 = fastDateFormat14.equals((java.lang.Object)locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone12, locale18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance((-1), timeZone5, locale18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.util.Locale locale3 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale3);
    java.util.Calendar calendar5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat4.format(calendar5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone1);
    java.util.Date date3 = null;
    java.lang.StringBuffer stringBuffer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = fastDateFormat2.format(date3, stringBuffer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.Object obj2 = fastDateFormat0.clone();
    java.util.Date date3 = null;
    java.lang.StringBuffer stringBuffer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = fastDateFormat0.format(date3, stringBuffer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj2);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    boolean b13 = fastDateFormat8.equals((java.lang.Object)locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone6, locale12);
    boolean b16 = fastDateFormat14.equals((java.lang.Object)100.0d);
    java.text.ParsePosition parsePosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = fastDateFormat14.parse("", parsePosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.util.Calendar calendar6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat0.format(calendar6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date5 = fastDateFormat2.parse("hi!", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, timeZone6, locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(100, 3, timeZone8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = fastDateFormat3.parse("dd/MM/yy HH:mm");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale4);
    boolean b6 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.util.Date date7 = null;
    java.lang.StringBuffer stringBuffer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fastDateFormat0.format(date7, stringBuffer8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone8, locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 8, timeZone8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Calendar calendar1 = null;
    java.lang.StringBuffer stringBuffer2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer3 = fastDateFormat0.format(calendar1, stringBuffer2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator5 = fastDateFormat3.formatToCharacterIterator((java.lang.Object)12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Calendar calendar4 = null;
    java.lang.StringBuffer stringBuffer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = fastDateFormat0.format(calendar4, stringBuffer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj8 = fastDateFormat5.parseObject("", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.lang.String str6 = fastDateFormat0.toString();
    java.lang.StringBuffer stringBuffer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fastDateFormat0.format(100L, stringBuffer8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format((-1L));
    java.util.Calendar calendar6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat3.format(calendar6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "15:59:59 PST"+ "'", str5.equals("15:59:59 PST"));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.Object obj2 = fastDateFormat0.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat0.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj2);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone2, locale6);
    java.lang.StringBuffer stringBuffer11 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer12 = fastDateFormat9.format(100L, stringBuffer11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    java.util.Calendar calendar8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fastDateFormat7.format(calendar8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale12);
    java.util.Locale locale16 = fastDateFormat15.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(8, timeZone5, locale16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.util.Locale locale5 = fastDateFormat3.getLocale();
    boolean b6 = fastDateFormat1.equals((java.lang.Object)locale5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone7, locale10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    boolean b17 = fastDateFormat12.equals((java.lang.Object)locale16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("15:59:59 PST", timeZone7, locale16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(2, (-1), locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj7 = fastDateFormat0.parseObject("HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = fastDateFormat3.parse("15:59:59 PST", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 0, timeZone8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = fastDateFormat1.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale14);
    boolean b16 = fastDateFormat10.equals((java.lang.Object)locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(8, timeZone7, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.String str5 = fastDateFormat0.format((-1L));
    java.util.Calendar calendar6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat0.format(calendar6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 15:59"+ "'", str5.equals("31/12/69 15:59"));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    int i3 = fastDateFormat0.getMaxLengthEstimate();
    java.util.Date date4 = null;
    java.lang.StringBuffer stringBuffer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = fastDateFormat0.format(date4, stringBuffer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 14);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(10, timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    int i4 = fastDateFormat0.getMaxLengthEstimate();
    java.util.Date date5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat0.format(date5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 14);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3);
    java.util.Calendar calendar2 = null;
    java.lang.StringBuffer stringBuffer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fastDateFormat1.format(calendar2, stringBuffer3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale12);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj16 = fastDateFormat14.parseObject("HH:mm:ss z");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = fastDateFormat0.parse("", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(12, timeZone4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2);
    java.lang.String str2 = fastDateFormat1.getPattern();
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj5 = fastDateFormat1.parseObject("HH:mm:ss", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "HH:mm:ss"+ "'", str2.equals("HH:mm:ss"));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, locale12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone2, locale4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj7 = fastDateFormat5.parseObject("15:59:59 PST");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    int i3 = fastDateFormat0.getMaxLengthEstimate();
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    java.lang.Object obj5 = null;
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat0.format(obj5, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(14, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format((-1L));
    java.util.TimeZone timeZone9 = null;
    java.util.Locale locale10 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone9, locale10);
    java.util.TimeZone timeZone12 = fastDateFormat11.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    boolean b19 = fastDateFormat14.equals((java.lang.Object)locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone12, locale18);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator21 = fastDateFormat3.formatToCharacterIterator((java.lang.Object)timeZone12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "15:59:59 PST"+ "'", str5.equals("15:59:59 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    java.util.TimeZone timeZone2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 3, timeZone2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale11);
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone15 = fastDateFormat14.getTimeZone();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    java.lang.StringBuffer stringBuffer17 = null;
    java.text.FieldPosition fieldPosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer19 = fastDateFormat12.format((java.lang.Object)fastDateFormat14, stringBuffer17, fieldPosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat3.parse("16:00:00 PST", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(14, locale11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    int i8 = fastDateFormat3.getMaxLengthEstimate();
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = fastDateFormat3.parseObject("hi!", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 12);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone6);
    java.util.Calendar calendar8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fastDateFormat7.format(calendar8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = fastDateFormat3.parse("", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = fastDateFormat3.format(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat0.parse("", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone6, locale10);
    java.lang.String str13 = fastDateFormat11.format(1L);
    java.util.Date date14 = null;
    java.lang.StringBuffer stringBuffer15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer16 = fastDateFormat11.format(date14, stringBuffer15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "16:00"+ "'", str13.equals("16:00"));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    boolean b7 = fastDateFormat0.equals((java.lang.Object)"");
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale10);
    java.lang.Object obj12 = fastDateFormat11.clone();
    java.util.Calendar calendar13 = null;
    java.lang.String str14 = fastDateFormat11.format(calendar13);
    java.lang.StringBuffer stringBuffer15 = null;
    java.text.FieldPosition fieldPosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer17 = fastDateFormat0.format((java.lang.Object)str14, stringBuffer15, fieldPosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "31/12/69 16:00"+ "'", str14.equals("31/12/69 16:00"));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.Object obj2 = fastDateFormat0.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat0.parseObject("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj2);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone6, locale9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj12 = fastDateFormat10.parseObject("31/12/69 16:00");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat2.format((java.lang.Object)fastDateFormat4, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    boolean b6 = fastDateFormat3.equals((java.lang.Object)fastDateFormat5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date8 = fastDateFormat5.parse("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(8, timeZone5, locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale12);
    java.util.TimeZone timeZone14 = fastDateFormat13.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("15:59:59 PST", timeZone14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone14);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    java.util.Locale locale6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(12, 3, timeZone5, locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6);
    java.lang.Object obj9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator10 = fastDateFormat8.formatToCharacterIterator(obj9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.Date date3 = null;
    java.lang.StringBuffer stringBuffer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = fastDateFormat0.format(date3, stringBuffer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(12, timeZone4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale14);
    java.util.TimeZone timeZone17 = null;
    java.util.Locale locale18 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone17, locale18);
    java.util.TimeZone timeZone20 = fastDateFormat19.getTimeZone();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(8, timeZone7, locale21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj6 = fastDateFormat0.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, 12, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, (-1), locale4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone9, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    boolean b19 = fastDateFormat14.equals((java.lang.Object)locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale18);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = fastDateFormat0.format((java.lang.Object)timeZone9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    int i4 = fastDateFormat0.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone11, locale13);
    boolean b15 = fastDateFormat7.equals((java.lang.Object)timeZone11);
    java.lang.StringBuffer stringBuffer16 = null;
    java.text.FieldPosition fieldPosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer18 = fastDateFormat0.format((java.lang.Object)timeZone11, stringBuffer16, fieldPosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj6 = fastDateFormat0.parseObject("16:00", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str4 = fastDateFormat1.format(1L);
    java.util.Locale locale5 = fastDateFormat1.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "31/12/69 16:00"+ "'", str4.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone11, locale15);
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100, timeZone6, locale19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    java.util.TimeZone timeZone20 = null;
    java.util.Locale locale21 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone20, locale21);
    java.util.TimeZone timeZone23 = fastDateFormat22.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale28 = fastDateFormat27.getLocale();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    boolean b30 = fastDateFormat25.equals((java.lang.Object)locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone23, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone35 = fastDateFormat34.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat38 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale39 = fastDateFormat38.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat40 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale39);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale39);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat42 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone35, locale39);
    java.util.Locale locale43 = fastDateFormat42.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat44 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone8, locale43);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale43);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = fastDateFormat1.parseObject("31/12/69");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2);
    java.lang.String str2 = fastDateFormat1.getPattern();
    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9);
    java.lang.StringBuffer stringBuffer12 = null;
    java.text.FieldPosition fieldPosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer14 = fastDateFormat1.format((java.lang.Object)1, stringBuffer12, fieldPosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "HH:mm:ss"+ "'", str2.equals("HH:mm:ss"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    java.util.Locale locale3 = fastDateFormat1.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]", locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone6, locale10);
    java.util.Calendar calendar12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = fastDateFormat11.format(calendar12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale12);
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj17 = fastDateFormat14.parseObject("16:00:00 PST", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(14, timeZone1, locale4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.util.Calendar calendar5 = null;
    java.lang.String str6 = fastDateFormat3.format(calendar5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale9);
    java.lang.Object obj11 = fastDateFormat10.clone();
    java.lang.String str12 = fastDateFormat10.toString();
    boolean b13 = fastDateFormat3.equals((java.lang.Object)fastDateFormat10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj15 = fastDateFormat10.parseObject("31/12/69 15:59");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "31/12/69 16:00"+ "'", str6.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    java.util.TimeZone timeZone20 = null;
    java.util.Locale locale21 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone20, locale21);
    java.util.TimeZone timeZone23 = fastDateFormat22.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale28 = fastDateFormat27.getLocale();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    boolean b30 = fastDateFormat25.equals((java.lang.Object)locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone23, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance((-1), timeZone8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    java.util.TimeZone timeZone8 = null;
    java.util.Locale locale9 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone8, locale9);
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, timeZone6, locale12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    java.util.TimeZone timeZone6 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    boolean b13 = fastDateFormat8.equals((java.lang.Object)locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6, locale12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone4 = fastDateFormat0.getTimeZone();
    java.lang.Object obj5 = fastDateFormat0.clone();
    java.util.Date date6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat0.format(date6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.util.TimeZone timeZone7 = null;
    java.util.Locale locale8 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone7, locale8);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale14);
    java.lang.String str16 = fastDateFormat15.toString();
    java.util.Locale locale17 = fastDateFormat15.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone10, locale17);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.lang.String str22 = fastDateFormat19.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale26);
    java.lang.String str28 = fastDateFormat27.toString();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale29);
    boolean b31 = fastDateFormat19.equals((java.lang.Object)locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone10, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 0, timeZone10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str16.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "31/12/69 16:00"+ "'", str22.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str28.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    java.util.Date date6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat0.format(date6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    java.lang.String str12 = fastDateFormat11.toString();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6, locale13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj16 = fastDateFormat14.parseObject("31/12/69 16:00");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0);
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date4 = fastDateFormat1.parse("15:59:59 PST", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.util.Locale locale1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat2.parseObject("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    int i6 = fastDateFormat3.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone10, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale16 = fastDateFormat15.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.util.Locale locale19 = fastDateFormat17.getLocale();
    boolean b20 = fastDateFormat15.equals((java.lang.Object)locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone10, locale19);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator23 = fastDateFormat3.formatToCharacterIterator((java.lang.Object)locale19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale27);
    java.lang.String str31 = fastDateFormat30.toString();
    java.util.Calendar calendar32 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str33 = fastDateFormat30.format(calendar32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]"+ "'", str31.equals("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6);
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = fastDateFormat8.parseObject("31 December 1969", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance("15:59:59 PST", timeZone7, locale18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj8 = fastDateFormat3.parseObject("", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    boolean b6 = fastDateFormat3.equals((java.lang.Object)fastDateFormat5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date8 = fastDateFormat5.parse("16:00:00 PST");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.String str5 = fastDateFormat0.format((-1L));
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj8 = fastDateFormat0.parseObject("hi!", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 15:59"+ "'", str5.equals("31/12/69 15:59"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    java.lang.String str12 = fastDateFormat11.toString();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6, locale13);
    java.util.Date date15 = null;
    java.lang.StringBuffer stringBuffer16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer17 = fastDateFormat14.format(date15, stringBuffer16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    java.util.Locale locale11 = fastDateFormat9.getLocale();
    boolean b12 = fastDateFormat7.equals((java.lang.Object)locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale11);
    java.text.ParsePosition parsePosition16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj17 = fastDateFormat14.parseObject("31/12/69 15:59", parsePosition16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6);
    java.lang.StringBuffer stringBuffer10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer11 = fastDateFormat8.format(0L, stringBuffer10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = fastDateFormat2.format(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone9, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale21);
    java.lang.String str23 = fastDateFormat22.toString();
    java.util.Locale locale24 = fastDateFormat22.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(12, 3, timeZone9, locale24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str23.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.lang.String str5 = fastDateFormat3.toString();
    java.util.TimeZone timeZone6 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone7 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, locale13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(8, 0, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale9);
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale13);
    java.util.TimeZone timeZone15 = fastDateFormat14.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale19);
    java.lang.String str21 = fastDateFormat20.toString();
    java.util.TimeZone timeZone22 = fastDateFormat20.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone24 = fastDateFormat23.getTimeZone();
    java.util.Locale locale25 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone22, locale25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(100, 8, timeZone15, locale25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str21.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]", timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone1);
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat2.format((java.lang.Object)locale4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31 December 1969", timeZone1, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59");
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat1.parseObject("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale11);
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    java.util.TimeZone timeZone18 = null;
    java.util.Locale locale19 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone18, locale19);
    java.util.TimeZone timeZone21 = fastDateFormat20.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale25);
    java.lang.String str27 = fastDateFormat26.toString();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone21, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale31 = fastDateFormat30.getLocale();
    java.lang.String str33 = fastDateFormat30.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale37 = fastDateFormat36.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat38 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale37);
    java.lang.String str39 = fastDateFormat38.toString();
    java.util.Locale locale40 = fastDateFormat38.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale40);
    boolean b42 = fastDateFormat30.equals((java.lang.Object)locale40);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone21, locale40);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str44 = fastDateFormat12.format((java.lang.Object)timeZone21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str27.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "31/12/69 16:00"+ "'", str33.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str39.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.lang.Object obj5 = fastDateFormat3.clone();
    int i6 = fastDateFormat3.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    java.lang.String str9 = fastDateFormat7.toString();
    java.util.TimeZone timeZone10 = fastDateFormat7.getTimeZone();
    java.lang.Object obj11 = fastDateFormat7.clone();
    java.util.Locale locale12 = fastDateFormat7.getLocale();
    java.lang.StringBuffer stringBuffer13 = null;
    java.text.FieldPosition fieldPosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = fastDateFormat3.format((java.lang.Object)locale12, stringBuffer13, fieldPosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str9.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("16:00:00 PST");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.lang.String str19 = fastDateFormat16.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale23 = fastDateFormat22.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale23);
    java.lang.String str25 = fastDateFormat24.toString();
    java.util.Locale locale26 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale26);
    boolean b28 = fastDateFormat16.equals((java.lang.Object)locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone7, locale26);
    java.util.Calendar calendar30 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str31 = fastDateFormat29.format(calendar30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "31/12/69 16:00"+ "'", str19.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str25.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale4);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale4);
    java.util.Calendar calendar7 = null;
    java.lang.StringBuffer stringBuffer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fastDateFormat6.format(calendar7, stringBuffer8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.Locale locale5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone4, locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.lang.String str6 = fastDateFormat0.toString();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    java.lang.String str11 = fastDateFormat10.toString();
    java.lang.Object obj12 = fastDateFormat10.clone();
    java.lang.StringBuffer stringBuffer13 = null;
    java.text.FieldPosition fieldPosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = fastDateFormat0.format(obj12, stringBuffer13, fieldPosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str11.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    java.util.Locale locale11 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone7, locale11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, locale11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale16 = fastDateFormat15.getLocale();
    java.lang.String str17 = fastDateFormat15.toString();
    java.util.TimeZone timeZone18 = fastDateFormat15.getTimeZone();
    java.util.TimeZone timeZone19 = fastDateFormat15.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale22 = fastDateFormat21.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    java.util.Locale locale25 = fastDateFormat23.getLocale();
    boolean b26 = fastDateFormat21.equals((java.lang.Object)locale25);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale25);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone19, locale25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, 100, timeZone5, locale25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str17.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    boolean b7 = fastDateFormat0.equals((java.lang.Object)"");
    java.util.Date date8 = null;
    java.lang.StringBuffer stringBuffer9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer10 = fastDateFormat0.format(date8, stringBuffer9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, locale27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance("16:00:00 PST", locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale27);
    java.lang.Object obj31 = fastDateFormat30.clone();
    java.text.ParsePosition parsePosition33 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date34 = fastDateFormat30.parse("31/12/69", parsePosition33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj31);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str4 = fastDateFormat1.format(1L);
    java.util.Locale locale5 = fastDateFormat1.getLocale();
    boolean b6 = fastDateFormat0.equals((java.lang.Object)fastDateFormat1);
    java.util.Calendar calendar7 = null;
    java.lang.StringBuffer stringBuffer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fastDateFormat1.format(calendar7, stringBuffer8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "31/12/69 16:00"+ "'", str4.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj7 = fastDateFormat3.parseObject("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    boolean b7 = fastDateFormat2.equals((java.lang.Object)locale6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 10, locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone5, locale6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]", timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj14 = fastDateFormat12.parseObject("EEEE, d MMMM yyyy HH:mm:ss z");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone8);
    java.lang.StringBuffer stringBuffer11 = null;
    java.text.FieldPosition fieldPosition12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = fastDateFormat0.format((java.lang.Object)timeZone8, stringBuffer11, fieldPosition12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.Object obj4 = fastDateFormat0.clone();
    int i5 = fastDateFormat0.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone10, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale16 = fastDateFormat15.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.util.Locale locale19 = fastDateFormat17.getLocale();
    boolean b20 = fastDateFormat15.equals((java.lang.Object)locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone10, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    java.util.Locale locale25 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone10, locale25);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator27 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)fastDateFormat26);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2);
    java.lang.StringBuffer stringBuffer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fastDateFormat1.format(10L, stringBuffer3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    java.lang.String str21 = fastDateFormat18.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale25);
    java.lang.String str27 = fastDateFormat26.toString();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale28);
    boolean b30 = fastDateFormat18.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone36 = fastDateFormat35.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale38 = fastDateFormat37.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat39 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone36, locale38);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale42 = fastDateFormat41.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale44 = fastDateFormat43.getLocale();
    java.util.Locale locale45 = fastDateFormat43.getLocale();
    boolean b46 = fastDateFormat41.equals((java.lang.Object)locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone36, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat49 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale50 = fastDateFormat49.getLocale();
    java.lang.String str52 = fastDateFormat49.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat55 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale56 = fastDateFormat55.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat57 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale56);
    java.lang.String str58 = fastDateFormat57.toString();
    java.util.Locale locale59 = fastDateFormat57.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat60 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale59);
    boolean b61 = fastDateFormat49.equals((java.lang.Object)locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone36, locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat63 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(10, locale59);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "31/12/69 16:00"+ "'", str21.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str27.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "31/12/69 16:00"+ "'", str52.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str58.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat63);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("16:00:00 PST", locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, locale4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    java.lang.String str12 = fastDateFormat11.toString();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale17);
    java.lang.String str19 = fastDateFormat18.toString();
    java.util.TimeZone timeZone20 = fastDateFormat18.getTimeZone();
    int i21 = fastDateFormat18.getMaxLengthEstimate();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator22 = fastDateFormat14.formatToCharacterIterator((java.lang.Object)fastDateFormat18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str19.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 12);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale11);
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    java.text.ParsePosition parsePosition15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = fastDateFormat12.parse("FastDateFormat[HH:mm,en_GB,America/Los_Angeles]", parsePosition15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale8);
    java.lang.Object obj10 = fastDateFormat9.clone();
    java.util.Calendar calendar11 = null;
    java.lang.String str12 = fastDateFormat9.format(calendar11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale15);
    java.lang.Object obj17 = fastDateFormat16.clone();
    java.lang.String str18 = fastDateFormat16.toString();
    boolean b19 = fastDateFormat9.equals((java.lang.Object)fastDateFormat16);
    java.util.Locale locale20 = fastDateFormat16.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, timeZone5, locale20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "31/12/69 16:00"+ "'", str12.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str18.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.lang.String str5 = fastDateFormat3.toString();
    java.util.TimeZone timeZone6 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone7 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 3, timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    java.util.Locale locale26 = fastDateFormat24.getLocale();
    int i27 = fastDateFormat24.getMaxLengthEstimate();
    java.util.Locale locale28 = fastDateFormat24.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(12, 1, timeZone6, locale28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    java.util.TimeZone timeZone8 = null;
    java.util.Locale locale9 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone8, locale9);
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    java.lang.String str17 = fastDateFormat16.toString();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone11, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    java.lang.String str23 = fastDateFormat20.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale27);
    java.lang.String str29 = fastDateFormat28.toString();
    java.util.Locale locale30 = fastDateFormat28.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale30);
    boolean b32 = fastDateFormat20.equals((java.lang.Object)locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone11, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone11);
    java.util.TimeZone timeZone39 = null;
    java.util.Locale locale40 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone39, locale40);
    java.util.TimeZone timeZone42 = fastDateFormat41.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone42);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat45 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale46 = fastDateFormat45.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale46);
    java.lang.String str48 = fastDateFormat47.toString();
    java.util.Locale locale49 = fastDateFormat47.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat50 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone42, locale49);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat51 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale52 = fastDateFormat51.getLocale();
    java.lang.String str54 = fastDateFormat51.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat57 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale58 = fastDateFormat57.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat59 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale58);
    java.lang.String str60 = fastDateFormat59.toString();
    java.util.Locale locale61 = fastDateFormat59.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale61);
    boolean b63 = fastDateFormat51.equals((java.lang.Object)locale61);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone42, locale61);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat65 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone11, locale61);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat66 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 10, timeZone11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str17.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "31/12/69 16:00"+ "'", str23.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str29.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str48.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "31/12/69 16:00"+ "'", str54.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str60.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat65);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance((-1), timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone1 = fastDateFormat0.getTimeZone();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    java.lang.Object obj4 = fastDateFormat0.parseObject("31/12/69 16:00");
    java.util.Date date5 = null;
    java.lang.StringBuffer stringBuffer6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer7 = fastDateFormat0.format(date5, stringBuffer6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone35 = fastDateFormat34.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale37 = fastDateFormat36.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat38 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone35, locale37);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat40 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale41 = fastDateFormat40.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat42 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale43 = fastDateFormat42.getLocale();
    java.util.Locale locale44 = fastDateFormat42.getLocale();
    boolean b45 = fastDateFormat40.equals((java.lang.Object)locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat46 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone35, locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale49 = fastDateFormat48.getLocale();
    java.lang.String str51 = fastDateFormat48.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat54 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale55 = fastDateFormat54.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat56 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale55);
    java.lang.String str57 = fastDateFormat56.toString();
    java.util.Locale locale58 = fastDateFormat56.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat59 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale58);
    boolean b60 = fastDateFormat48.equals((java.lang.Object)locale58);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat61 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone35, locale58);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone8, locale58);
    java.util.Calendar calendar63 = null;
    java.lang.StringBuffer stringBuffer64 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer65 = fastDateFormat62.format(calendar63, stringBuffer64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "31/12/69 16:00"+ "'", str51.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str57.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone5, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[HH:mm:ss,en_GB,America/Los_Angeles]", timeZone5, locale10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone2, locale6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = fastDateFormat9.parseObject("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 100, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale10);
    boolean b12 = fastDateFormat6.equals((java.lang.Object)locale10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, timeZone5, locale10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.lang.String str7 = fastDateFormat4.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale14);
    boolean b16 = fastDateFormat4.equals((java.lang.Object)locale14);
    java.lang.String str17 = fastDateFormat4.getPattern();
    boolean b18 = fastDateFormat0.equals((java.lang.Object)fastDateFormat4);
    java.text.ParsePosition parsePosition20 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = fastDateFormat4.parse("31/12/69", parsePosition20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "31/12/69 16:00"+ "'", str7.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "dd/MM/yy HH:mm"+ "'", str17.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    java.util.Locale locale11 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone7, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone7);
    java.util.Calendar calendar14 = null;
    java.lang.StringBuffer stringBuffer15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer16 = fastDateFormat13.format(calendar14, stringBuffer15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.String str5 = fastDateFormat0.format((-1L));
    java.lang.String str6 = fastDateFormat0.getPattern();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj8 = fastDateFormat0.parseObject("31/12/69");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 15:59"+ "'", str5.equals("31/12/69 15:59"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "dd/MM/yy HH:mm"+ "'", str6.equals("dd/MM/yy HH:mm"));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone1 = fastDateFormat0.getTimeZone();
    java.util.Date date2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = fastDateFormat0.format(date2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone1);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    boolean b10 = fastDateFormat2.equals((java.lang.Object)timeZone6);
    java.lang.String str11 = fastDateFormat2.getPattern();
    java.text.ParsePosition parsePosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj14 = fastDateFormat2.parseObject("31/12/69 15:59", parsePosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "EEEE, d MMMM yyyy HH:mm:ss z"+ "'", str11.equals("EEEE, d MMMM yyyy HH:mm:ss z"));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(8, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale27);
    java.lang.Object obj31 = fastDateFormat30.clone();
    java.util.Calendar calendar32 = null;
    java.lang.StringBuffer stringBuffer33 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer34 = fastDateFormat30.format(calendar32, stringBuffer33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj31);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale27);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj32 = fastDateFormat30.parseObject("31 December 1969");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(12, locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    java.lang.String str3 = fastDateFormat1.getPattern();
    java.lang.Object obj4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator5 = fastDateFormat1.formatToCharacterIterator(obj4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = fastDateFormat0.format(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0);
    java.util.Date date2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = fastDateFormat1.format(date2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.Locale locale5 = fastDateFormat3.getLocale();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date8 = fastDateFormat3.parse("16:00", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    java.util.Date date8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fastDateFormat7.format(date8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj5 = fastDateFormat3.parseObject("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date18 = fastDateFormat16.parse("16:00");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    boolean b7 = fastDateFormat2.equals((java.lang.Object)locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]", locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale12);
    java.util.TimeZone timeZone14 = fastDateFormat13.getTimeZone();
    java.util.Locale locale15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(12, timeZone14, locale15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone14);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(8, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.util.Date date4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = fastDateFormat3.format(date4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone5, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone5, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone5, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    java.util.Locale locale26 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale26);
    java.util.Calendar calendar29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str30 = fastDateFormat28.format(calendar29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone5);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = fastDateFormat6.parse("16:00", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 8, timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1);
    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone12 = fastDateFormat11.getTimeZone();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone9, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str16 = fastDateFormat1.format((java.lang.Object)2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone35 = fastDateFormat34.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale37 = fastDateFormat36.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat38 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone35, locale37);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat40 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale41 = fastDateFormat40.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat42 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale43 = fastDateFormat42.getLocale();
    java.util.Locale locale44 = fastDateFormat42.getLocale();
    boolean b45 = fastDateFormat40.equals((java.lang.Object)locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat46 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone35, locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale49 = fastDateFormat48.getLocale();
    java.lang.String str51 = fastDateFormat48.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat54 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale55 = fastDateFormat54.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat56 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale55);
    java.lang.String str57 = fastDateFormat56.toString();
    java.util.Locale locale58 = fastDateFormat56.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat59 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale58);
    boolean b60 = fastDateFormat48.equals((java.lang.Object)locale58);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat61 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone35, locale58);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone8, locale58);
    java.text.ParsePosition parsePosition64 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date65 = fastDateFormat62.parse("15:59:59 PST", parsePosition64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "31/12/69 16:00"+ "'", str51.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str57.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    int i8 = fastDateFormat3.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone13, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    java.util.Locale locale22 = fastDateFormat20.getLocale();
    boolean b23 = fastDateFormat18.equals((java.lang.Object)locale22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone13, locale22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale28 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone13, locale28);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str31 = fastDateFormat3.format((java.lang.Object)timeZone13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.lang.String str5 = fastDateFormat3.toString();
    java.util.TimeZone timeZone6 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone7 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(8, timeZone1, locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone6, locale9);
    java.lang.String str11 = fastDateFormat10.toString();
    java.util.TimeZone timeZone12 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss");
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator15 = fastDateFormat10.formatToCharacterIterator((java.lang.Object)"HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str11.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    java.lang.String str21 = fastDateFormat18.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale25);
    java.lang.String str27 = fastDateFormat26.toString();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale28);
    boolean b30 = fastDateFormat18.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone36 = fastDateFormat35.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale38 = fastDateFormat37.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat39 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone36, locale38);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale42 = fastDateFormat41.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale44 = fastDateFormat43.getLocale();
    java.util.Locale locale45 = fastDateFormat43.getLocale();
    boolean b46 = fastDateFormat41.equals((java.lang.Object)locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone36, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat49 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale50 = fastDateFormat49.getLocale();
    java.lang.String str52 = fastDateFormat49.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat55 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale56 = fastDateFormat55.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat57 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale56);
    java.lang.String str58 = fastDateFormat57.toString();
    java.util.Locale locale59 = fastDateFormat57.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat60 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale59);
    boolean b61 = fastDateFormat49.equals((java.lang.Object)locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone36, locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat63 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance((-1), timeZone9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "31/12/69 16:00"+ "'", str21.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str27.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "31/12/69 16:00"+ "'", str52.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str58.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat63);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone21 = fastDateFormat20.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale23 = fastDateFormat22.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone21, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    java.util.Locale locale30 = fastDateFormat28.getLocale();
    boolean b31 = fastDateFormat26.equals((java.lang.Object)locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone21, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale35 = fastDateFormat34.getLocale();
    java.lang.String str37 = fastDateFormat34.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat40 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale41 = fastDateFormat40.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat42 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale41);
    java.lang.String str43 = fastDateFormat42.toString();
    java.util.Locale locale44 = fastDateFormat42.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat45 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale44);
    boolean b46 = fastDateFormat34.equals((java.lang.Object)locale44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone21, locale44);
    java.lang.Object obj48 = fastDateFormat47.clone();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator49 = fastDateFormat16.formatToCharacterIterator((java.lang.Object)fastDateFormat47);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "31/12/69 16:00"+ "'", str37.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str43.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj48);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    java.lang.StringBuffer stringBuffer9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer10 = fastDateFormat7.format(0L, stringBuffer9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.util.Locale locale5 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.util.Date date6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat5.format(date6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone3, locale5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale5);
    java.util.Date date8 = null;
    java.lang.StringBuffer stringBuffer9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer10 = fastDateFormat7.format(date8, stringBuffer9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(8, locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    java.util.Locale locale11 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone7, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = fastDateFormat13.parse("FastDateFormat[HH:mm:ss,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.String str5 = fastDateFormat0.format((-1L));
    java.lang.String str6 = fastDateFormat0.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    java.lang.String str10 = fastDateFormat8.toString();
    java.util.TimeZone timeZone11 = fastDateFormat8.getTimeZone();
    java.util.TimeZone timeZone12 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    boolean b19 = fastDateFormat14.equals((java.lang.Object)locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone12, locale18);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str22 = fastDateFormat0.format((java.lang.Object)fastDateFormat21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 15:59"+ "'", str5.equals("31/12/69 15:59"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "dd/MM/yy HH:mm"+ "'", str6.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str10.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale22 = fastDateFormat21.getLocale();
    java.util.Locale locale23 = fastDateFormat21.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(2, 8, timeZone9, locale23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    java.util.TimeZone timeZone20 = null;
    java.util.Locale locale21 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone20, locale21);
    java.util.TimeZone timeZone23 = fastDateFormat22.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale28 = fastDateFormat27.getLocale();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    boolean b30 = fastDateFormat25.equals((java.lang.Object)locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone23, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", locale29);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone8);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj17 = fastDateFormat15.parseObject("HH:mm");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, locale13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj18 = fastDateFormat16.parseObject("16:00:00");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone5, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone5, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone5, locale20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, locale20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone3, locale5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    java.lang.String str10 = fastDateFormat7.format(1L);
    java.util.Locale locale11 = fastDateFormat7.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone3, locale11);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "31/12/69 16:00"+ "'", str10.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.util.Calendar calendar5 = null;
    java.lang.String str6 = fastDateFormat3.format(calendar5);
    java.lang.String str7 = fastDateFormat3.getPattern();
    java.util.Date date8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fastDateFormat3.format(date8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "31/12/69 16:00"+ "'", str6.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "31/12/69 16:00"+ "'", str7.equals("31/12/69 16:00"));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone7, locale9);
    boolean b11 = fastDateFormat3.equals((java.lang.Object)timeZone7);
    java.util.TimeZone timeZone16 = null;
    java.util.Locale locale17 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone16, locale17);
    java.util.TimeZone timeZone19 = fastDateFormat18.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale23 = fastDateFormat22.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale23);
    java.lang.String str25 = fastDateFormat24.toString();
    java.util.Locale locale26 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone19, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    java.lang.String str31 = fastDateFormat28.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale35 = fastDateFormat34.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale35);
    java.lang.String str37 = fastDateFormat36.toString();
    java.util.Locale locale38 = fastDateFormat36.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat39 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale38);
    boolean b40 = fastDateFormat28.equals((java.lang.Object)locale38);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone19, locale38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat42 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]", timeZone7, locale38);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str25.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "31/12/69 16:00"+ "'", str31.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str37.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale27);
    java.lang.String str31 = fastDateFormat30.toString();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone34 = fastDateFormat33.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale36 = fastDateFormat35.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone34, locale36);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator38 = fastDateFormat30.formatToCharacterIterator((java.lang.Object)fastDateFormat37);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]"+ "'", str31.equals("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat37);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    java.util.TimeZone timeZone7 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone13, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    java.util.Locale locale22 = fastDateFormat20.getLocale();
    boolean b23 = fastDateFormat18.equals((java.lang.Object)locale22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone13, locale22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale28 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone13, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale33 = fastDateFormat32.getLocale();
    java.util.Locale locale34 = fastDateFormat32.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale34);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone13, locale34);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, timeZone7, locale34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.util.Locale locale3 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat4.parse("HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    java.lang.String str8 = fastDateFormat7.toString();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    boolean b10 = fastDateFormat0.equals((java.lang.Object)fastDateFormat7);
    java.util.Date date11 = null;
    java.lang.StringBuffer stringBuffer12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = fastDateFormat0.format(date11, stringBuffer12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str8.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone8, locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 10, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    boolean b7 = fastDateFormat0.equals((java.lang.Object)"");
    java.lang.StringBuffer stringBuffer9 = null;
    java.text.FieldPosition fieldPosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer11 = fastDateFormat0.format((java.lang.Object)8, stringBuffer9, fieldPosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    java.util.TimeZone timeZone7 = null;
    java.util.Locale locale8 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone7, locale8);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale14);
    java.lang.String str16 = fastDateFormat15.toString();
    java.util.Locale locale17 = fastDateFormat15.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone10, locale17);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.lang.String str22 = fastDateFormat19.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale26);
    java.lang.String str28 = fastDateFormat27.toString();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale29);
    boolean b31 = fastDateFormat19.equals((java.lang.Object)locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone10, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 10, timeZone10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str16.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "31/12/69 16:00"+ "'", str22.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str28.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.lang.Object obj6 = fastDateFormat0.clone();
    java.lang.String str7 = fastDateFormat0.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    java.lang.String str10 = fastDateFormat8.toString();
    java.util.TimeZone timeZone11 = fastDateFormat8.getTimeZone();
    java.lang.Object obj12 = fastDateFormat8.clone();
    java.util.Locale locale13 = fastDateFormat8.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = fastDateFormat0.format((java.lang.Object)fastDateFormat8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "dd/MM/yy HH:mm"+ "'", str7.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str10.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    boolean b6 = fastDateFormat3.equals((java.lang.Object)fastDateFormat5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone12 = fastDateFormat11.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone12, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    boolean b22 = fastDateFormat17.equals((java.lang.Object)locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone12, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone12, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale32 = fastDateFormat31.getLocale();
    java.util.Locale locale33 = fastDateFormat31.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale33);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone12, locale33);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator36 = fastDateFormat3.formatToCharacterIterator((java.lang.Object)fastDateFormat35);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone1 = fastDateFormat0.getTimeZone();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    java.lang.Object obj4 = fastDateFormat0.parseObject("31/12/69 16:00");
    java.lang.StringBuffer stringBuffer6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer7 = fastDateFormat0.format(100L, stringBuffer6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]", timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone9, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 14, timeZone9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.getPattern();
    int i3 = fastDateFormat0.getMaxLengthEstimate();
    java.text.ParsePosition parsePosition5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat0.parse("dd/MM/yy HH:mm", parsePosition5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "dd/MM/yy HH:mm"+ "'", str2.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 14);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    boolean b6 = fastDateFormat3.equals((java.lang.Object)fastDateFormat5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone12 = fastDateFormat11.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone12, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    boolean b22 = fastDateFormat17.equals((java.lang.Object)locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone12, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone12, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone12);
    java.lang.StringBuffer stringBuffer30 = null;
    java.text.FieldPosition fieldPosition31 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer32 = fastDateFormat5.format((java.lang.Object)timeZone12, stringBuffer30, fieldPosition31);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale4);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = fastDateFormat6.parse("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale12);
    java.util.Calendar calendar15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str16 = fastDateFormat14.format(calendar15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    java.util.Locale locale1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale1);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale8);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator11 = fastDateFormat2.formatToCharacterIterator((java.lang.Object)locale8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format((-1L));
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    java.lang.String str11 = fastDateFormat10.toString();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale12);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str14 = fastDateFormat3.format((java.lang.Object)fastDateFormat13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "15:59:59 PST"+ "'", str5.equals("15:59:59 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str11.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6);
    java.util.Calendar calendar9 = null;
    java.lang.StringBuffer stringBuffer10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer11 = fastDateFormat8.format(calendar9, stringBuffer10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.getPattern();
    int i3 = fastDateFormat0.getMaxLengthEstimate();
    java.lang.String str5 = fastDateFormat0.format(0L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone11, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    java.util.Locale locale20 = fastDateFormat18.getLocale();
    boolean b21 = fastDateFormat16.equals((java.lang.Object)locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone11, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone11, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale31 = fastDateFormat30.getLocale();
    java.util.Locale locale32 = fastDateFormat30.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale32);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone11, locale32);
    java.lang.StringBuffer stringBuffer35 = null;
    java.text.FieldPosition fieldPosition36 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer37 = fastDateFormat0.format((java.lang.Object)timeZone11, stringBuffer35, fieldPosition36);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "dd/MM/yy HH:mm"+ "'", str2.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 16:00"+ "'", str5.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 14, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59");
    java.lang.String str2 = fastDateFormat1.getPattern();
    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator18 = fastDateFormat1.formatToCharacterIterator((java.lang.Object)fastDateFormat17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "31/12/69 15:59"+ "'", str2.equals("31/12/69 15:59"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone5, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone5, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone5, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    java.util.Locale locale26 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale26);
    java.util.Calendar calendar29 = null;
    java.lang.StringBuffer stringBuffer30 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer31 = fastDateFormat28.format(calendar29, stringBuffer30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    int i8 = fastDateFormat3.getMaxLengthEstimate();
    java.lang.Object obj9 = fastDateFormat3.clone();
    java.util.TimeZone timeZone14 = null;
    java.util.Locale locale15 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone14, locale15);
    java.util.TimeZone timeZone17 = fastDateFormat16.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone17);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale22 = fastDateFormat21.getLocale();
    java.util.Locale locale23 = fastDateFormat21.getLocale();
    boolean b24 = fastDateFormat19.equals((java.lang.Object)locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone17, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone17);
    boolean b27 = fastDateFormat3.equals((java.lang.Object)"31/12/69 15:59");
    java.text.ParsePosition parsePosition29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj30 = fastDateFormat3.parseObject("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]", parsePosition29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, (-1), locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    java.util.TimeZone timeZone10 = null;
    java.util.Locale locale11 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone10, locale11);
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale17);
    java.lang.String str19 = fastDateFormat18.toString();
    java.util.Locale locale20 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone13, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale23 = fastDateFormat22.getLocale();
    java.lang.String str25 = fastDateFormat22.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale29);
    java.lang.String str31 = fastDateFormat30.toString();
    java.util.Locale locale32 = fastDateFormat30.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale32);
    boolean b34 = fastDateFormat22.equals((java.lang.Object)locale32);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone13, locale32);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone13);
    java.util.TimeZone timeZone41 = null;
    java.util.Locale locale42 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone41, locale42);
    java.util.TimeZone timeZone44 = fastDateFormat43.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat45 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone44);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale48 = fastDateFormat47.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat49 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale48);
    java.lang.String str50 = fastDateFormat49.toString();
    java.util.Locale locale51 = fastDateFormat49.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat52 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone44, locale51);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat53 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale54 = fastDateFormat53.getLocale();
    java.lang.String str56 = fastDateFormat53.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat59 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale60 = fastDateFormat59.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat61 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale60);
    java.lang.String str62 = fastDateFormat61.toString();
    java.util.Locale locale63 = fastDateFormat61.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale63);
    boolean b65 = fastDateFormat53.equals((java.lang.Object)locale63);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat66 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone44, locale63);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat67 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone13, locale63);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat68 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1, timeZone13);
    java.util.Locale locale69 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat70 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(12, 8, timeZone13, locale69);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str19.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "31/12/69 16:00"+ "'", str25.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str31.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str50.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "31/12/69 16:00"+ "'", str56.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str62.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat68);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.util.Locale locale3 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale3);
    java.util.Date date5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat4.format(date5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 0, timeZone5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(8, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone4 = fastDateFormat0.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    boolean b9 = fastDateFormat0.equals((java.lang.Object)1);
    boolean b11 = fastDateFormat0.equals((java.lang.Object)"hi!");
    java.text.ParsePosition parsePosition13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj14 = fastDateFormat0.parseObject("31/12/69 15:59", parsePosition13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.util.Locale locale5 = fastDateFormat3.getLocale();
    boolean b6 = fastDateFormat1.equals((java.lang.Object)locale5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    java.util.TimeZone timeZone8 = null;
    java.util.Locale locale9 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone8, locale9);
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    java.lang.String str17 = fastDateFormat16.toString();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone11, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    java.lang.String str23 = fastDateFormat20.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale27);
    java.lang.String str29 = fastDateFormat28.toString();
    java.util.Locale locale30 = fastDateFormat28.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale30);
    boolean b32 = fastDateFormat20.equals((java.lang.Object)locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone11, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone11);
    java.util.TimeZone timeZone39 = null;
    java.util.Locale locale40 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone39, locale40);
    java.util.TimeZone timeZone42 = fastDateFormat41.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone42);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat45 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale46 = fastDateFormat45.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale46);
    java.lang.String str48 = fastDateFormat47.toString();
    java.util.Locale locale49 = fastDateFormat47.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat50 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone42, locale49);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat51 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale52 = fastDateFormat51.getLocale();
    java.lang.String str54 = fastDateFormat51.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat57 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale58 = fastDateFormat57.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat59 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale58);
    java.lang.String str60 = fastDateFormat59.toString();
    java.util.Locale locale61 = fastDateFormat59.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale61);
    boolean b63 = fastDateFormat51.equals((java.lang.Object)locale61);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone42, locale61);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat65 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone11, locale61);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat66 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(17, 12, timeZone11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str17.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "31/12/69 16:00"+ "'", str23.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str29.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str48.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "31/12/69 16:00"+ "'", str54.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str60.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat65);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone4);
    java.lang.StringBuffer stringBuffer14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = fastDateFormat12.format((-1L), stringBuffer14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.util.Locale locale2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 17, locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale12);
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(12, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    java.util.Locale locale3 = fastDateFormat1.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]", locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.util.Locale locale5 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale5);
    boolean b7 = fastDateFormat1.equals((java.lang.Object)locale5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance((-1), locale5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = fastDateFormat7.format((java.lang.Object)fastDateFormat9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone8, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(17, timeZone8, locale21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone8);
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone15 = fastDateFormat14.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone15, locale17);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale23 = fastDateFormat22.getLocale();
    java.util.Locale locale24 = fastDateFormat22.getLocale();
    boolean b25 = fastDateFormat20.equals((java.lang.Object)locale24);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale24);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone15, locale24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(17, 100, timeZone11, locale24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    boolean b10 = fastDateFormat2.equals((java.lang.Object)timeZone6);
    java.lang.String str11 = fastDateFormat2.getPattern();
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator13 = fastDateFormat2.formatToCharacterIterator((java.lang.Object)' ');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "EEEE, d MMMM yyyy HH:mm:ss z"+ "'", str11.equals("EEEE, d MMMM yyyy HH:mm:ss z"));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone7);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, timeZone10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(3, 17, timeZone7, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1);
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj4 = fastDateFormat1.parseObject("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss z,en_GB,America/Los_Angeles]", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone1 = fastDateFormat0.getTimeZone();
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date4 = fastDateFormat0.parse("HH:mm", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone1);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    java.util.TimeZone timeZone2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6, locale10);
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(10, 12, timeZone2, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6);
    java.util.Locale locale24 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(8, timeZone6, locale24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.util.Calendar calendar5 = null;
    java.lang.String str6 = fastDateFormat3.format(calendar5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale9);
    java.lang.Object obj11 = fastDateFormat10.clone();
    java.lang.String str12 = fastDateFormat10.toString();
    boolean b13 = fastDateFormat3.equals((java.lang.Object)fastDateFormat10);
    java.util.Locale locale14 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale16 = fastDateFormat15.getLocale();
    java.lang.String str17 = fastDateFormat15.toString();
    java.util.TimeZone timeZone18 = fastDateFormat15.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.lang.String str22 = fastDateFormat19.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale26);
    java.lang.String str28 = fastDateFormat27.toString();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale29);
    boolean b31 = fastDateFormat19.equals((java.lang.Object)locale29);
    java.lang.String str32 = fastDateFormat19.getPattern();
    boolean b33 = fastDateFormat15.equals((java.lang.Object)fastDateFormat19);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str34 = fastDateFormat10.format((java.lang.Object)fastDateFormat19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "31/12/69 16:00"+ "'", str6.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str17.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "31/12/69 16:00"+ "'", str22.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str28.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "dd/MM/yy HH:mm"+ "'", str32.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format((-1L));
    java.lang.String str6 = fastDateFormat3.getPattern();
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = fastDateFormat3.parse("HH:mm:ss", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "15:59:59 PST"+ "'", str5.equals("15:59:59 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "HH:mm:ss z"+ "'", str6.equals("HH:mm:ss z"));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.util.Date date6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = fastDateFormat3.format(date6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone5);
    java.util.TimeZone timeZone17 = null;
    java.util.Locale locale18 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone17, locale18);
    java.util.TimeZone timeZone20 = fastDateFormat19.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone23 = fastDateFormat22.getTimeZone();
    java.util.Locale locale24 = fastDateFormat22.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone20, locale24);
    java.lang.String str27 = fastDateFormat25.format(1L);
    java.util.Locale locale28 = fastDateFormat25.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(14, timeZone5, locale28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "16:00"+ "'", str27.equals("16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date4 = fastDateFormat2.parse("HH:mm");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    java.util.TimeZone timeZone21 = null;
    java.util.Locale locale22 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone21, locale22);
    java.util.TimeZone timeZone24 = fastDateFormat23.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone24);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    java.util.Locale locale30 = fastDateFormat28.getLocale();
    boolean b31 = fastDateFormat26.equals((java.lang.Object)locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone24, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, (-1), timeZone9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6, locale21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 100, timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone9, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    boolean b19 = fastDateFormat14.equals((java.lang.Object)locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, timeZone5, locale18);
    java.util.Date date23 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str24 = fastDateFormat22.format(date23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1);
    java.lang.StringBuffer stringBuffer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fastDateFormat1.format(10L, stringBuffer3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone4 = fastDateFormat0.getTimeZone();
    java.lang.Object obj5 = fastDateFormat0.clone();
    java.lang.String str7 = fastDateFormat0.format(100L);
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date10 = fastDateFormat0.parse("FastDateFormat[HH:mm:ss,en_GB,America/Los_Angeles]", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "31/12/69 16:00"+ "'", str7.equals("31/12/69 16:00"));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(17, timeZone8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    java.lang.String str9 = fastDateFormat8.toString();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale10);
    boolean b12 = fastDateFormat0.equals((java.lang.Object)locale10);
    java.lang.String str13 = fastDateFormat0.getPattern();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj15 = fastDateFormat0.parseObject("HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str9.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "dd/MM/yy HH:mm"+ "'", str13.equals("dd/MM/yy HH:mm"));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone9, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale11);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator14 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)fastDateFormat13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.lang.String str5 = fastDateFormat3.toString();
    java.util.TimeZone timeZone6 = fastDateFormat3.getTimeZone();
    java.util.Date date7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = fastDateFormat3.format(date7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone9, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    boolean b19 = fastDateFormat14.equals((java.lang.Object)locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale18);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, timeZone5, locale18);
    java.util.Locale locale23 = fastDateFormat22.getLocale();
    java.util.Date date24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str25 = fastDateFormat22.format(date24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    java.lang.String str7 = fastDateFormat0.format(100L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    java.lang.String str11 = fastDateFormat8.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    java.lang.String str17 = fastDateFormat16.toString();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale18);
    boolean b20 = fastDateFormat8.equals((java.lang.Object)locale18);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str21 = fastDateFormat0.format((java.lang.Object)fastDateFormat8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "31/12/69 16:00"+ "'", str7.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "31/12/69 16:00"+ "'", str11.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str17.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone6, locale10);
    java.lang.String str13 = fastDateFormat11.format(1L);
    java.lang.String str14 = fastDateFormat11.toString();
    java.util.Date date15 = null;
    java.lang.StringBuffer stringBuffer16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer17 = fastDateFormat11.format(date15, stringBuffer16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "16:00"+ "'", str13.equals("16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 14, timeZone8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.lang.String str6 = fastDateFormat3.format(1L);
    boolean b8 = fastDateFormat3.equals((java.lang.Object)(-1));
    java.lang.String str10 = fastDateFormat3.format(100L);
    java.lang.String str11 = fastDateFormat3.toString();
    java.util.Date date13 = fastDateFormat3.parse("31/12/69 15:59");
    java.lang.StringBuffer stringBuffer14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer15 = fastDateFormat2.format(date13, stringBuffer14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "31/12/69 16:00"+ "'", str6.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "31/12/69 16:00"+ "'", str10.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str11.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone7);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale14);
    java.lang.String str16 = fastDateFormat15.toString();
    java.util.TimeZone timeZone17 = fastDateFormat15.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale21);
    java.lang.String str23 = fastDateFormat22.toString();
    java.util.Locale locale24 = fastDateFormat22.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale24);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone17, locale24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance((-1), timeZone10, locale24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str16.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str23.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.Object obj4 = fastDateFormat0.clone();
    java.lang.Object obj5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat0.format(obj5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    java.util.Locale locale4 = fastDateFormat0.getLocale();
    int i5 = fastDateFormat0.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    java.lang.String str9 = fastDateFormat6.format(1L);
    boolean b11 = fastDateFormat6.equals((java.lang.Object)(-1));
    java.lang.String str13 = fastDateFormat6.format(100L);
    java.lang.String str14 = fastDateFormat6.toString();
    java.util.Date date16 = fastDateFormat6.parse("31/12/69 15:59");
    java.lang.StringBuffer stringBuffer17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer18 = fastDateFormat0.format(date16, stringBuffer17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "31/12/69 16:00"+ "'", str9.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "31/12/69 16:00"+ "'", str13.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(17, 14, locale12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone3, locale5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale5);
    java.lang.StringBuffer stringBuffer9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer10 = fastDateFormat7.format(100L, stringBuffer9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone6, locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale33 = fastDateFormat32.getLocale();
    java.util.Locale locale34 = fastDateFormat32.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale34);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale34);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(14, timeZone6, locale34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, locale13);
    java.text.ParsePosition parsePosition18 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = fastDateFormat16.parse("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]", parsePosition18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone7, locale10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss z,en_GB,America/Los_Angeles]", timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    java.util.Locale locale2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, (-1), locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    java.util.TimeZone timeZone2 = null;
    java.util.Locale locale3 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone2, locale3);
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    java.util.TimeZone timeZone7 = fastDateFormat4.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]", timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale13);
    java.lang.Object obj15 = fastDateFormat14.clone();
    java.lang.String str16 = fastDateFormat14.toString();
    java.util.TimeZone timeZone17 = fastDateFormat14.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = fastDateFormat10.format((java.lang.Object)timeZone17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str16.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone17);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    int i4 = fastDateFormat0.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    java.lang.String str9 = fastDateFormat7.toString();
    java.util.TimeZone timeZone10 = fastDateFormat7.getTimeZone();
    java.util.TimeZone timeZone11 = fastDateFormat7.getTimeZone();
    java.util.Locale locale12 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1, timeZone11, locale12);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator14 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str9.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    int i6 = fastDateFormat3.getMaxLengthEstimate();
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj9 = fastDateFormat3.parseObject("FastDateFormat[HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone1 = fastDateFormat0.getTimeZone();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    java.util.Calendar calendar3 = null;
    java.lang.StringBuffer stringBuffer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = fastDateFormat0.format(calendar3, stringBuffer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    java.util.TimeZone timeZone7 = null;
    java.util.Locale locale8 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone7, locale8);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    boolean b17 = fastDateFormat12.equals((java.lang.Object)locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone10, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(17, 17, locale16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    java.lang.String str12 = fastDateFormat11.toString();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone6, locale13);
    java.text.ParsePosition parsePosition17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date18 = fastDateFormat15.parse("31/12/69", parsePosition17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.lang.Object obj6 = fastDateFormat0.clone();
    java.lang.String str7 = fastDateFormat0.getPattern();
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj10 = fastDateFormat0.parseObject("hi!", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "dd/MM/yy HH:mm"+ "'", str7.equals("dd/MM/yy HH:mm"));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    java.util.TimeZone timeZone9 = fastDateFormat7.getTimeZone();
    int i10 = fastDateFormat7.getMaxLengthEstimate();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = fastDateFormat0.format((java.lang.Object)i10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 8);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    java.util.TimeZone timeZone2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 14, timeZone2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    java.lang.String str21 = fastDateFormat18.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale25);
    java.lang.String str27 = fastDateFormat26.toString();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale28);
    boolean b30 = fastDateFormat18.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone36 = fastDateFormat35.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale38 = fastDateFormat37.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat39 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone36, locale38);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale42 = fastDateFormat41.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale44 = fastDateFormat43.getLocale();
    java.util.Locale locale45 = fastDateFormat43.getLocale();
    boolean b46 = fastDateFormat41.equals((java.lang.Object)locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone36, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat49 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale50 = fastDateFormat49.getLocale();
    java.lang.String str52 = fastDateFormat49.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat55 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale56 = fastDateFormat55.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat57 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale56);
    java.lang.String str58 = fastDateFormat57.toString();
    java.util.Locale locale59 = fastDateFormat57.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat60 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale59);
    boolean b61 = fastDateFormat49.equals((java.lang.Object)locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone36, locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat63 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getInstance("15:59:59 PST", locale59);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "31/12/69 16:00"+ "'", str21.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str27.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "31/12/69 16:00"+ "'", str52.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str58.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat63);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator9 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone4, locale19);
    java.util.TimeZone timeZone22 = fastDateFormat21.getTimeZone();
    java.util.Calendar calendar23 = null;
    java.lang.StringBuffer stringBuffer24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer25 = fastDateFormat21.format(calendar23, stringBuffer24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale14);
    java.util.TimeZone timeZone19 = null;
    java.util.Locale locale20 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone19, locale20);
    java.util.TimeZone timeZone22 = fastDateFormat21.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    boolean b29 = fastDateFormat24.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone22, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone7, locale28);
    int i32 = fastDateFormat31.getMaxLengthEstimate();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale34 = fastDateFormat33.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale36 = fastDateFormat35.getLocale();
    java.util.Locale locale37 = fastDateFormat35.getLocale();
    boolean b38 = fastDateFormat33.equals((java.lang.Object)locale37);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat39 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale40 = fastDateFormat39.getLocale();
    java.lang.String str41 = fastDateFormat39.toString();
    java.util.TimeZone timeZone42 = fastDateFormat39.getTimeZone();
    java.lang.Object obj43 = fastDateFormat39.clone();
    java.util.Locale locale44 = fastDateFormat39.getLocale();
    boolean b45 = fastDateFormat33.equals((java.lang.Object)fastDateFormat39);
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator46 = fastDateFormat31.formatToCharacterIterator((java.lang.Object)fastDateFormat39);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str41.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    java.lang.String str3 = fastDateFormat1.toString();
    java.util.TimeZone timeZone4 = fastDateFormat1.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat1.getTimeZone();
    java.lang.Object obj6 = fastDateFormat1.clone();
    java.util.TimeZone timeZone7 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    java.lang.String str13 = fastDateFormat11.format(0L);
    java.lang.String str15 = fastDateFormat11.format(1L);
    int i16 = fastDateFormat11.getMaxLengthEstimate();
    java.util.Locale locale17 = fastDateFormat11.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]", timeZone7, locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str3.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "16:00:00 PST"+ "'", str13.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "16:00:00 PST"+ "'", str15.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 2);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale7);
    boolean b9 = fastDateFormat3.equals((java.lang.Object)locale7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = fastDateFormat2.format((java.lang.Object)locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale12);
    java.lang.String str15 = fastDateFormat14.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = fastDateFormat14.parse("dd MMMM yyyy");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    java.util.TimeZone timeZone21 = null;
    java.util.Locale locale22 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone21, locale22);
    java.util.TimeZone timeZone24 = fastDateFormat23.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone24);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    java.util.Locale locale30 = fastDateFormat28.getLocale();
    boolean b31 = fastDateFormat26.equals((java.lang.Object)locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone24, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(17, 100, timeZone9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    boolean b5 = fastDateFormat0.equals((java.lang.Object)(-1));
    java.lang.String str7 = fastDateFormat0.format(100L);
    java.lang.String str8 = fastDateFormat0.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date10 = fastDateFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "31/12/69 16:00"+ "'", str7.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str8.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.util.Calendar calendar4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = fastDateFormat3.format(calendar4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(8, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.util.TimeZone timeZone2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, (-1), timeZone2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.Object obj4 = fastDateFormat0.clone();
    java.util.TimeZone timeZone8 = null;
    java.util.Locale locale9 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone8, locale9);
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone14 = fastDateFormat13.getTimeZone();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone11, locale15);
    java.lang.String str18 = fastDateFormat16.format(1L);
    java.lang.String str19 = fastDateFormat16.toString();
    boolean b20 = fastDateFormat0.equals((java.lang.Object)fastDateFormat16);
    java.lang.StringBuffer stringBuffer22 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer23 = fastDateFormat0.format(100L, stringBuffer22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "16:00"+ "'", str18.equals("16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "FastDateFormat[HH:mm,en_GB,America/Los_Angeles]"+ "'", str19.equals("FastDateFormat[HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    java.lang.Object obj8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = fastDateFormat3.format(obj8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale11);
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    java.lang.String str14 = fastDateFormat12.toString();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = fastDateFormat12.parse("HH:mm:ss z");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone8);
    java.util.TimeZone timeZone18 = null;
    java.util.Locale locale19 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone18, locale19);
    java.util.TimeZone timeZone21 = fastDateFormat20.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone24 = fastDateFormat23.getTimeZone();
    java.util.Locale locale25 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone21, locale25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]", timeZone8, locale25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    java.lang.String str3 = fastDateFormat1.getPattern();
    java.util.Calendar calendar4 = null;
    java.lang.StringBuffer stringBuffer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer6 = fastDateFormat1.format(calendar4, stringBuffer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    java.util.TimeZone timeZone7 = null;
    java.util.Locale locale8 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone7, locale8);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone13 = fastDateFormat12.getTimeZone();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone10, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 14, locale14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.util.Calendar calendar5 = null;
    java.lang.String str6 = fastDateFormat3.format(calendar5);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale9);
    java.lang.Object obj11 = fastDateFormat10.clone();
    java.lang.String str12 = fastDateFormat10.toString();
    boolean b13 = fastDateFormat3.equals((java.lang.Object)fastDateFormat10);
    java.util.Calendar calendar14 = null;
    java.lang.StringBuffer stringBuffer15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer16 = fastDateFormat10.format(calendar14, stringBuffer15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "31/12/69 16:00"+ "'", str6.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[31/12/69 16:00,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale12);
    java.lang.String str14 = fastDateFormat13.toString();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone8, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone8, locale27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss z,en_GB,America/Los_Angeles]", locale27);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone4 = fastDateFormat0.getTimeZone();
    java.lang.Object obj5 = fastDateFormat0.clone();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj8 = fastDateFormat0.parseObject("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss z,en_GB,America/Los_Angeles]", parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str5 = fastDateFormat2.format(1L);
    boolean b7 = fastDateFormat2.equals((java.lang.Object)(-1));
    java.lang.String str9 = fastDateFormat2.format(100L);
    java.lang.String str10 = fastDateFormat2.toString();
    java.util.Date date12 = fastDateFormat2.parse("31/12/69 15:59");
    java.lang.StringBuffer stringBuffer13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer14 = fastDateFormat1.format(date12, stringBuffer13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 16:00"+ "'", str5.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "31/12/69 16:00"+ "'", str9.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str10.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.util.Locale locale2 = fastDateFormat0.getLocale();
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj5 = fastDateFormat0.parseObject("FastDateFormat[EEEE, d MMMM yyyy HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    java.lang.String str8 = fastDateFormat7.toString();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    boolean b10 = fastDateFormat0.equals((java.lang.Object)fastDateFormat7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.lang.String str14 = fastDateFormat11.format(1L);
    boolean b16 = fastDateFormat11.equals((java.lang.Object)(-1));
    java.lang.String str18 = fastDateFormat11.format(100L);
    java.lang.String str19 = fastDateFormat11.toString();
    java.util.Date date21 = fastDateFormat11.parse("31/12/69 15:59");
    java.lang.StringBuffer stringBuffer22 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer23 = fastDateFormat7.format(date21, stringBuffer22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str8.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "31/12/69 16:00"+ "'", str14.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "31/12/69 16:00"+ "'", str18.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str19.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    java.util.Locale locale7 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(100, locale7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(17, locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone7, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    boolean b22 = fastDateFormat17.equals((java.lang.Object)(-1));
    java.lang.String str24 = fastDateFormat17.format(100L);
    java.lang.String str25 = fastDateFormat17.toString();
    java.util.Date date27 = fastDateFormat17.parse("31/12/69 15:59");
    java.lang.StringBuffer stringBuffer28 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer29 = fastDateFormat16.format(date27, stringBuffer28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "31/12/69 16:00"+ "'", str24.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str25.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.util.Locale locale5 = fastDateFormat3.getLocale();
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = fastDateFormat3.format(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss");
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str5 = fastDateFormat2.format(1L);
    boolean b7 = fastDateFormat2.equals((java.lang.Object)(-1));
    java.lang.String str9 = fastDateFormat2.format(100L);
    java.lang.String str10 = fastDateFormat2.toString();
    java.util.Date date12 = fastDateFormat2.parse("31/12/69 15:59");
    java.lang.StringBuffer stringBuffer13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer14 = fastDateFormat1.format(date12, stringBuffer13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 16:00"+ "'", str5.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "31/12/69 16:00"+ "'", str9.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str10.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone5, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone5, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone5, locale20);
    java.util.TimeZone timeZone23 = fastDateFormat22.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31 December 1969", timeZone23);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone23);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale4);
    java.lang.String str6 = fastDateFormat5.toString();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2, timeZone7, locale14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("hi!", timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, timeZone3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    java.util.Locale locale12 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone8, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale12);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00");
    boolean b17 = fastDateFormat14.equals((java.lang.Object)fastDateFormat16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj19 = fastDateFormat16.parseObject("HH:mm:ss");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.util.Locale locale6 = fastDateFormat3.getLocale();
    java.lang.StringBuffer stringBuffer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fastDateFormat3.format(0L, stringBuffer8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.getPattern();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    boolean b6 = fastDateFormat3.equals((java.lang.Object)fastDateFormat5);
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = fastDateFormat5.parse("Wednesday, 31 December 1969 16:00:00 PST", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "HH:mm:ss z"+ "'", str4.equals("HH:mm:ss z"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str5 = fastDateFormat3.format(0L);
    java.lang.String str7 = fastDateFormat3.format(1L);
    int i8 = fastDateFormat3.getMaxLengthEstimate();
    java.util.Locale locale9 = fastDateFormat3.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    java.lang.String str12 = fastDateFormat10.toString();
    java.util.TimeZone timeZone13 = fastDateFormat10.getTimeZone();
    java.lang.String str15 = fastDateFormat10.format((-1L));
    java.lang.String str16 = fastDateFormat10.getPattern();
    boolean b18 = fastDateFormat10.equals((java.lang.Object)10L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = fastDateFormat3.format((java.lang.Object)fastDateFormat10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "16:00:00 PST"+ "'", str5.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "16:00:00 PST"+ "'", str7.equals("16:00:00 PST"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "31/12/69 15:59"+ "'", str15.equals("31/12/69 15:59"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "dd/MM/yy HH:mm"+ "'", str16.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    java.lang.String str21 = fastDateFormat18.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale25);
    java.lang.String str27 = fastDateFormat26.toString();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale28);
    boolean b30 = fastDateFormat18.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale28);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 8, locale28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "31/12/69 16:00"+ "'", str21.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str27.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    java.lang.String str6 = fastDateFormat0.toString();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = fastDateFormat0.format((java.lang.Object)locale9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str6.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale4 = fastDateFormat3.getLocale();
    java.lang.String str5 = fastDateFormat3.toString();
    java.util.TimeZone timeZone6 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone7 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone11 = fastDateFormat10.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone11, locale15);
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale19);
    java.util.Locale locale21 = fastDateFormat20.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone7, locale21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 12, timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.util.TimeZone timeZone6 = null;
    java.util.Locale locale7 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6, locale7);
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    java.lang.String str15 = fastDateFormat14.toString();
    java.util.Locale locale16 = fastDateFormat14.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone9, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    java.lang.String str21 = fastDateFormat18.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale25);
    java.lang.String str27 = fastDateFormat26.toString();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale28);
    boolean b30 = fastDateFormat18.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone9, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone36 = fastDateFormat35.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat37 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale38 = fastDateFormat37.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat39 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone36, locale38);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat41 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale42 = fastDateFormat41.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat43 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale44 = fastDateFormat43.getLocale();
    java.util.Locale locale45 = fastDateFormat43.getLocale();
    boolean b46 = fastDateFormat41.equals((java.lang.Object)locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat47 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone36, locale45);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat49 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale50 = fastDateFormat49.getLocale();
    java.lang.String str52 = fastDateFormat49.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat55 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale56 = fastDateFormat55.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat57 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale56);
    java.lang.String str58 = fastDateFormat57.toString();
    java.util.Locale locale59 = fastDateFormat57.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat60 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale59);
    boolean b61 = fastDateFormat49.equals((java.lang.Object)locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat62 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone36, locale59);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat63 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone9, locale59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(20, locale59);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str15.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "31/12/69 16:00"+ "'", str21.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str27.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "31/12/69 16:00"+ "'", str52.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str58.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat63);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone12 = fastDateFormat11.getTimeZone();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]", timeZone3, locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.util.Locale locale21 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone6, locale21);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone26 = fastDateFormat25.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale30 = fastDateFormat29.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale30);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone26, locale30);
    java.util.Locale locale34 = fastDateFormat33.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(17, timeZone6, locale34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale34);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone3, locale7);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale11);
    java.lang.Object obj13 = fastDateFormat12.clone();
    java.util.Calendar calendar14 = null;
    java.lang.StringBuffer stringBuffer15 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer16 = fastDateFormat12.format(calendar14, stringBuffer15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj13);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone4, locale19);
    java.lang.String str22 = fastDateFormat21.toString();
    java.lang.StringBuffer stringBuffer24 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer25 = fastDateFormat21.format(0L, stringBuffer24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "FastDateFormat[HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]"+ "'", str22.equals("FastDateFormat[HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]"));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone4, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone4);
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = fastDateFormat12.parse("31/12/69 16:00", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    int i6 = fastDateFormat3.getMaxLengthEstimate();
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = fastDateFormat3.parse("31/12/69 15:59", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale10);
    java.lang.String str12 = fastDateFormat11.toString();
    java.util.TimeZone timeZone13 = fastDateFormat11.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale15 = fastDateFormat14.getLocale();
    java.lang.String str17 = fastDateFormat14.format(1L);
    boolean b19 = fastDateFormat14.equals((java.lang.Object)(-1));
    java.lang.String str21 = fastDateFormat14.format(100L);
    java.lang.String str22 = fastDateFormat14.toString();
    java.util.Date date24 = fastDateFormat14.parse("31/12/69 15:59");
    java.lang.String str25 = fastDateFormat11.format(date24);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str26 = fastDateFormat7.format((java.lang.Object)fastDateFormat11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str12.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "31/12/69 16:00"+ "'", str17.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "31/12/69 16:00"+ "'", str21.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str22.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "15:59:00 PST"+ "'", str25.equals("15:59:00 PST"));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59");
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(12, locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone2 = fastDateFormat1.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    java.util.Locale locale15 = fastDateFormat13.getLocale();
    boolean b16 = fastDateFormat11.equals((java.lang.Object)locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone6, locale15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone2, locale15);
    java.util.Calendar calendar20 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str21 = fastDateFormat19.format(calendar20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.util.Locale locale4 = fastDateFormat2.getLocale();
    boolean b5 = fastDateFormat0.equals((java.lang.Object)locale4);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    java.lang.String str8 = fastDateFormat6.toString();
    java.util.TimeZone timeZone9 = fastDateFormat6.getTimeZone();
    java.lang.Object obj10 = fastDateFormat6.clone();
    java.util.Locale locale11 = fastDateFormat6.getLocale();
    boolean b12 = fastDateFormat0.equals((java.lang.Object)fastDateFormat6);
    java.text.ParsePosition parsePosition14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj15 = fastDateFormat6.parseObject("HH:mm:ss", parsePosition14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str8.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss 'o''clock' z");
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj3 = fastDateFormat1.parseObject("FastDateFormat[HH:mm:ss 'o''clock' z,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    java.util.TimeZone timeZone1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone1);
    java.text.ParsePosition parsePosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj5 = fastDateFormat2.parseObject("", parsePosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance((-1), locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone7, locale9);
    boolean b11 = fastDateFormat3.equals((java.lang.Object)timeZone7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", timeZone7);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.util.Locale locale1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale1);
    java.lang.String str4 = fastDateFormat2.format(0L);
    int i5 = fastDateFormat2.getMaxLengthEstimate();
    java.util.Calendar calendar6 = null;
    java.lang.StringBuffer stringBuffer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = fastDateFormat2.format(calendar6, stringBuffer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "31 December 1969"+ "'", str4.equals("31 December 1969"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 17);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.String str5 = fastDateFormat0.format((-1L));
    java.lang.String str6 = fastDateFormat0.getPattern();
    boolean b8 = fastDateFormat0.equals((java.lang.Object)10L);
    java.text.ParsePosition parsePosition10 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj11 = fastDateFormat0.parseObject("HH:mm", parsePosition10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "31/12/69 15:59"+ "'", str5.equals("31/12/69 15:59"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "dd/MM/yy HH:mm"+ "'", str6.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str3 = fastDateFormat0.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    java.lang.String str8 = fastDateFormat7.toString();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    boolean b10 = fastDateFormat0.equals((java.lang.Object)fastDateFormat7);
    java.util.Calendar calendar11 = null;
    java.lang.StringBuffer stringBuffer12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = fastDateFormat0.format(calendar11, stringBuffer12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "31/12/69 16:00"+ "'", str3.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str8.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd MMMM yyyy");
    // The following exception was thrown during execution in test generation
    try {
      java.text.AttributedCharacterIterator attributedCharacterIterator6 = fastDateFormat0.formatToCharacterIterator((java.lang.Object)fastDateFormat5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    java.util.TimeZone timeZone7 = null;
    java.util.Locale locale8 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone7, locale8);
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone10);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale14 = fastDateFormat13.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale14);
    java.lang.String str16 = fastDateFormat15.toString();
    java.util.Locale locale17 = fastDateFormat15.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone10, locale17);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    java.lang.String str22 = fastDateFormat19.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale26 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale26);
    java.lang.String str28 = fastDateFormat27.toString();
    java.util.Locale locale29 = fastDateFormat27.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale29);
    boolean b31 = fastDateFormat19.equals((java.lang.Object)locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone10, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat36 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone37 = fastDateFormat36.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat38 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale39 = fastDateFormat38.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat40 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone37, locale39);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat42 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale43 = fastDateFormat42.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat44 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale45 = fastDateFormat44.getLocale();
    java.util.Locale locale46 = fastDateFormat44.getLocale();
    boolean b47 = fastDateFormat42.equals((java.lang.Object)locale46);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat48 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale46);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat49 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone37, locale46);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat50 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale51 = fastDateFormat50.getLocale();
    java.lang.String str53 = fastDateFormat50.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat56 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale57 = fastDateFormat56.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat58 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale57);
    java.lang.String str59 = fastDateFormat58.toString();
    java.util.Locale locale60 = fastDateFormat58.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat61 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale60);
    boolean b62 = fastDateFormat50.equals((java.lang.Object)locale60);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat63 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone37, locale60);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat64 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone10, locale60);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat65 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance((-1), 20, timeZone10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str16.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "31/12/69 16:00"+ "'", str22.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str28.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "31/12/69 16:00"+ "'", str53.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str59.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat64);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone8, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone20 = fastDateFormat19.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale22 = fastDateFormat21.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone20, locale22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(20, timeZone8, locale22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    java.util.TimeZone timeZone7 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone7, locale13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance("FastDateFormat[dd/MM/yy,en_GB,America/Los_Angeles]", locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale18 = fastDateFormat17.getLocale();
    java.lang.String str20 = fastDateFormat17.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale24 = fastDateFormat23.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale24);
    java.lang.String str26 = fastDateFormat25.toString();
    java.util.Locale locale27 = fastDateFormat25.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale27);
    boolean b29 = fastDateFormat17.equals((java.lang.Object)locale27);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale27);
    java.lang.StringBuffer stringBuffer32 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer33 = fastDateFormat30.format(100L, stringBuffer32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "31/12/69 16:00"+ "'", str20.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str26.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.lang.Object obj4 = fastDateFormat0.clone();
    java.util.Calendar calendar5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = fastDateFormat0.format(calendar5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone4 = fastDateFormat0.getTimeZone();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = fastDateFormat0.parse("31/12/69 15:59", parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1);
    java.text.ParsePosition parsePosition3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date4 = fastDateFormat1.parse("FastDateFormat[31/12/69,en_GB,America/Los_Angeles]", parsePosition3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone14 = fastDateFormat13.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale16 = fastDateFormat15.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone14, locale16);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat19 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale20 = fastDateFormat19.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale22 = fastDateFormat21.getLocale();
    java.util.Locale locale23 = fastDateFormat21.getLocale();
    boolean b24 = fastDateFormat19.equals((java.lang.Object)locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone14, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale29);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone14, locale29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat32 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(17, timeZone7, locale29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale7 = fastDateFormat6.getLocale();
    java.lang.String str9 = fastDateFormat6.format(1L);
    boolean b11 = fastDateFormat6.equals((java.lang.Object)(-1));
    java.lang.String str13 = fastDateFormat6.format(100L);
    java.lang.String str14 = fastDateFormat6.toString();
    java.util.Date date16 = fastDateFormat6.parse("31/12/69 15:59");
    java.lang.String str17 = fastDateFormat3.format(date16);
    java.lang.StringBuffer stringBuffer19 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer20 = fastDateFormat3.format(1L, stringBuffer19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "31/12/69 16:00"+ "'", str9.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "31/12/69 16:00"+ "'", str13.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str14.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "15:59:00 PST"+ "'", str17.equals("15:59:00 PST"));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale2);
    java.lang.Object obj4 = fastDateFormat3.clone();
    java.util.Calendar calendar5 = null;
    java.lang.String str6 = fastDateFormat3.format(calendar5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date8 = fastDateFormat3.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "31/12/69 16:00"+ "'", str6.equals("31/12/69 16:00"));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone3, locale5);
    java.util.TimeZone timeZone12 = null;
    java.util.Locale locale13 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone12, locale13);
    java.util.TimeZone timeZone15 = fastDateFormat14.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone15);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone18 = fastDateFormat17.getTimeZone();
    java.util.Locale locale19 = fastDateFormat17.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone15, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 0, locale19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat22 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(10, timeZone3, locale19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale6 = fastDateFormat5.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone4, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale10 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale12 = fastDateFormat11.getLocale();
    java.util.Locale locale13 = fastDateFormat11.getLocale();
    boolean b14 = fastDateFormat9.equals((java.lang.Object)locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, timeZone4, locale13);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat18 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale19 = fastDateFormat18.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat20 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale19);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, timeZone4, locale19);
    java.util.TimeZone timeZone22 = fastDateFormat21.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date24 = fastDateFormat21.parse("31/12/69");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = fastDateFormat3.parse("");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd MMMM yyyy");
    java.lang.Object obj2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = fastDateFormat1.format(obj2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale2 = fastDateFormat1.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale2);
    java.lang.String str4 = fastDateFormat3.toString();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.lang.Object obj6 = fastDateFormat3.clone();
    java.util.Calendar calendar7 = null;
    java.lang.StringBuffer stringBuffer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer9 = fastDateFormat3.format(calendar7, stringBuffer8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.TimeZone timeZone6 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    java.util.Locale locale9 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone6, locale9);
    java.lang.String str11 = fastDateFormat10.toString();
    java.util.TimeZone timeZone12 = fastDateFormat10.getTimeZone();
    java.util.Locale locale13 = fastDateFormat10.getLocale();
    java.lang.Object obj14 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = fastDateFormat10.format(obj14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str11.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale14);
    java.util.TimeZone timeZone19 = null;
    java.util.Locale locale20 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone19, locale20);
    java.util.TimeZone timeZone22 = fastDateFormat21.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat23 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone22);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale27 = fastDateFormat26.getLocale();
    java.util.Locale locale28 = fastDateFormat26.getLocale();
    boolean b29 = fastDateFormat24.equals((java.lang.Object)locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone22, locale28);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat31 = org.apache.commons.lang3.time.FastDateFormat.getInstance("dd/MM/yy HH:mm", timeZone7, locale28);
    java.lang.StringBuffer stringBuffer33 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer34 = fastDateFormat31.format((-1L), stringBuffer33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat31);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    java.util.Locale locale2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(20, 0, locale2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat1 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(2);
    java.util.Calendar calendar2 = null;
    java.lang.StringBuffer stringBuffer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer4 = fastDateFormat1.format(calendar2, stringBuffer3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat1);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    java.util.TimeZone timeZone4 = null;
    java.util.Locale locale5 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone4, locale5);
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone10 = fastDateFormat9.getTimeZone();
    java.util.Locale locale11 = fastDateFormat9.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone7, locale11);
    java.util.Locale locale13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(100, timeZone7, locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    java.util.TimeZone timeZone1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance("15:59:59 PST", timeZone1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    java.util.Locale locale1 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale1);
    java.util.Calendar calendar3 = null;
    java.lang.StringBuffer stringBuffer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = fastDateFormat2.format(calendar3, stringBuffer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    java.lang.String str4 = fastDateFormat2.toString();
    java.util.TimeZone timeZone5 = fastDateFormat2.getTimeZone();
    java.util.TimeZone timeZone6 = fastDateFormat2.getTimeZone();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(2, 8, timeZone6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str4.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.util.TimeZone timeZone1 = null;
    java.util.Locale locale2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat3 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone1, locale2);
    java.util.TimeZone timeZone4 = fastDateFormat3.getTimeZone();
    java.util.TimeZone timeZone5 = fastDateFormat3.getTimeZone();
    java.util.Locale locale6 = fastDateFormat3.getLocale();
    java.text.ParsePosition parsePosition8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj9 = fastDateFormat3.parseObject("31/12/69 15:59", parsePosition8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    java.util.TimeZone timeZone5 = null;
    java.util.Locale locale6 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone5, locale6);
    java.util.TimeZone timeZone8 = fastDateFormat7.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone8);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    boolean b15 = fastDateFormat10.equals((java.lang.Object)locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, timeZone8, locale14);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat17 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 15:59", timeZone8);
    java.util.TimeZone timeZone22 = null;
    java.util.Locale locale23 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone22, locale23);
    java.util.TimeZone timeZone25 = fastDateFormat24.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone25);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale29 = fastDateFormat28.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale29);
    java.lang.String str31 = fastDateFormat30.toString();
    java.util.Locale locale32 = fastDateFormat30.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat33 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone25, locale32);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat34 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(0, locale32);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat35 = org.apache.commons.lang3.time.FastDateFormat.getInstance("16:00", timeZone8, locale32);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj37 = fastDateFormat35.parseObject("FastDateFormat[HH:mm,en_GB,America/Los_Angeles]");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str31.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat35);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.lang.String str7 = fastDateFormat4.format(1L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    java.lang.String str13 = fastDateFormat12.toString();
    java.util.Locale locale14 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale14);
    boolean b16 = fastDateFormat4.equals((java.lang.Object)locale14);
    java.lang.String str17 = fastDateFormat4.getPattern();
    boolean b18 = fastDateFormat0.equals((java.lang.Object)fastDateFormat4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date20 = fastDateFormat0.parse("dd MMMM yyyy");
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "31/12/69 16:00"+ "'", str7.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str13.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "dd/MM/yy HH:mm"+ "'", str17.equals("dd/MM/yy HH:mm"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    java.util.TimeZone timeZone3 = null;
    java.util.Locale locale4 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(3, timeZone3, locale4);
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", timeZone6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone9 = fastDateFormat8.getTimeZone();
    java.util.Locale locale10 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, timeZone6, locale10);
    java.lang.String str13 = fastDateFormat11.format(1L);
    java.util.Locale locale14 = fastDateFormat11.getLocale();
    java.util.Calendar calendar15 = null;
    java.lang.StringBuffer stringBuffer16 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer17 = fastDateFormat11.format(calendar15, stringBuffer16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "16:00"+ "'", str13.equals("16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale14);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat0 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale1 = fastDateFormat0.getLocale();
    java.lang.String str2 = fastDateFormat0.toString();
    java.util.TimeZone timeZone3 = fastDateFormat0.getTimeZone();
    java.util.TimeZone timeZone4 = fastDateFormat0.getTimeZone();
    java.lang.Object obj5 = fastDateFormat0.clone();
    java.util.Calendar calendar6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = fastDateFormat0.format(calendar6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"+ "'", str2.equals("FastDateFormat[dd/MM/yy HH:mm,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(0, 1);
    java.util.TimeZone timeZone3 = fastDateFormat2.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat5 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone6 = fastDateFormat5.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale8 = fastDateFormat7.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(2, timeZone6, locale8);
    boolean b10 = fastDateFormat2.equals((java.lang.Object)timeZone6);
    java.util.Calendar calendar11 = null;
    java.lang.StringBuffer stringBuffer12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer13 = fastDateFormat2.format(calendar11, stringBuffer12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale3 = fastDateFormat2.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale3);
    java.lang.String str5 = fastDateFormat4.toString();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    java.text.ParsePosition parsePosition9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object obj10 = fastDateFormat7.parseObject("FastDateFormat[HH:mm:ss,en_GB,America/Los_Angeles]", parsePosition9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"+ "'", str5.equals("FastDateFormat[HH:mm:ss z,en_GB,America/Los_Angeles]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale6);
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    java.util.Locale locale13 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str15 = fastDateFormat10.format((java.lang.Object)locale13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    java.util.TimeZone timeZone2 = null;
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale5 = fastDateFormat4.getLocale();
    java.util.Locale locale6 = fastDateFormat4.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat7 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale6);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, timeZone2, locale6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat9 = org.apache.commons.lang3.time.FastDateFormat.getInstance("", locale6);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat4 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone5 = fastDateFormat4.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat8 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale9 = fastDateFormat8.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat11 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale9);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone5, locale9);
    java.util.Locale locale13 = fastDateFormat12.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69 16:00", locale13);
    java.lang.String str16 = fastDateFormat14.format(100L);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale22 = fastDateFormat21.getLocale();
    java.util.Locale locale23 = fastDateFormat21.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat25 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat26 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale23);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(0, locale23);
    java.util.Locale locale28 = fastDateFormat27.getLocale();
    boolean b29 = fastDateFormat14.equals((java.lang.Object)locale28);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat30 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(100, 0, locale28);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "31/12/69 16:00"+ "'", str16.equals("31/12/69 16:00"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.lang3.time.FastDateFormat fastDateFormat6 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.TimeZone timeZone7 = fastDateFormat6.getTimeZone();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat10 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale11 = fastDateFormat10.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat12 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat13 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(1, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat14 = org.apache.commons.lang3.time.FastDateFormat.getInstance("HH:mm:ss", timeZone7, locale11);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat15 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone7);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat16 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale17 = fastDateFormat16.getLocale();
    java.util.Locale locale18 = fastDateFormat16.getLocale();
    int i19 = fastDateFormat16.getMaxLengthEstimate();
    java.util.Locale locale20 = fastDateFormat16.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat21 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(1, 1, timeZone7, locale20);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat24 = org.apache.commons.lang3.time.FastDateFormat.getInstance();
    java.util.Locale locale25 = fastDateFormat24.getLocale();
    java.util.Locale locale26 = fastDateFormat24.getLocale();
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat27 = org.apache.commons.lang3.time.FastDateFormat.getTimeInstance(3, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat28 = org.apache.commons.lang3.time.FastDateFormat.getDateInstance(1, locale26);
    org.apache.commons.lang3.time.FastDateFormat fastDateFormat29 = org.apache.commons.lang3.time.FastDateFormat.getInstance("31/12/69", timeZone7, locale26);
    java.lang.StringBuffer stringBuffer31 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer32 = fastDateFormat29.format(0L, stringBuffer31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(locale26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fastDateFormat29);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.time.FastDateFormat fastDateFormat2 = org.apache.commons.lang3.time.FastDateFormat.getDateTimeInstance(14, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
